%{?scl:%scl_package nodejs-inflight}
%{!?scl:%global pkg_name %{name}}

%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		%{?scl_prefix}nodejs-inflight
Version:	1.0.4
Release:	%mkrel 5
Summary:	Node.js inflight
License:	ISC
Url:		https://github.com/isaacs/inflight
Source:		https://registry.npmjs.org/inflight/-/inflight-%{version}.tgz
BuildRequires:	nodejs-packaging
BuildArch:	noarch
Group:          Development/Other

BuildRequires:	npm(wrappy)
BuildRequires:	npm(once)

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Add callbacks to requests in flight to avoid async duplication 

%prep
%setup -q -n package

%{nodejs_fixdep} once
%{nodejs_fixdep} wrappy

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/inflight
cp -pr package.json inflight.js \
        %{buildroot}%{nodejs_sitelib}/inflight/

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/inflight



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.4-5.mga10
+ Revision: 2209867
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.0.4-4.mga9
+ Revision: 1821254
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1492588
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1264997
- Mageia 7 Mass Rebuild

* Fri May 13 2016 joequant <joequant> 1.0.4-1.mga6
+ Revision: 1014795
- imported package nodejs-inflight


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 22 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-5
- Removed redundant %%nodejs_fixdep macro

* Wed Apr 15 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-4
- Added BuildRequires, macros, %%license and %%check sections

* Tue Mar 03 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-3
- Fixed dependency
- removed BuildRoot, Group, %%defattr
- changed ExclusiveArch

* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-2
- Remove undefined macro

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-1
- Initial build

